Skip to content

Identity Management (UNKNOWN)

Overview

The Identity Management REST APIs and Model, allow the creation, deletion, and modification of identity groups, and identities.

What This API Does

  • Create, modify, and delete identities groups and identities
  • Manage devices under identities

Error Handling

The API uses standard HTTP status codes with detailed error messages in the response body.

Common Error Responses

All endpoints may return these common error responses:

  • 400 Bad Request: Invalid input data or validation errors
  • 401 Unauthorized: Missing or invalid authentication
  • 403 Forbidden: Insufficient permissions
  • 404 Not Found: Requested resource doesn't exist
  • 409 Conflict: Resource conflict (e.g., duplicate names)
  • 422 Unprocessable Entity: Business rule violations
  • 500 Internal Server Error: Unexpected server errors
Download OpenAPI description
Languages
Servers
RUCKUS One API host for North American region.
https://api.ruckus.cloud
RUCKUS One API host for European region.
https://api.eu.ruckus.cloud
RUCKUS One API host for Asian region.
https://api.asia.ruckus.cloud

Identity Group

Operations for managing identity groups.

Operations

Identity

Operations for managing identities.

Operations

External Identity

Operations for managing external identities.

Operations

Query External Identities

Request

Search and filter external identities based on specified criteria.

Query
pageableobject(Pageable)required

Parameters for paging

pageable.​pageinteger(int32)>= 0
pageable.​sizeinteger(int32)>= 1
pageable.​sortArray of strings
Bodyrequired
idsArray of strings(uuid)

External identity identifiers filter.

{ "ids": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ] }

Responses

External identities found

Body
totalElementsinteger(int64)

The total number of elements in the result set.

totalPagesinteger(int32)

The total number of pages in the result set.

sizeinteger(int32)
contentArray of objects(External Identity)

The list of external identity items.

numberinteger(int32)

The current page number.

sortobject(SortObject)

Sorting information for a page request. Contains details about the field(s) to sort by and the sort direction (ascending or descending).

pageableobject(PageableObject)

The metadata for pagination.

numberOfElementsinteger(int32)

The number of elements on the current page.

firstboolean

Indicates whether the current page is the first page.

lastboolean

Indicates whether the current page is the last page.

emptyboolean

Indicates whether the result set is empty.

Response
{ "totalElements": 0, "totalPages": 0, "size": 0, "content": [ {} ], "number": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "pageable": { "offset": 0, "sort": {}, "pageNumber": 0, "pageSize": 0, "unpaged": true, "paged": true }, "numberOfElements": 0, "first": true, "last": true, "empty": true }